#ifndef __RV_TEXT_BOX_H_INCLUDED_
#define __RV_TEXT_BOX_H_INCLUDED_

#include "reacx.h"

class REACX_API CTextBox :	public CReacter
{
public:
	CTextBox(void);
	virtual ~CTextBox(void);

	virtual BOOL Serialize(HANDLE device, BOOL bIn ) ;
	virtual CUCObj* Clone( CUCObj* twin) ;
	virtual void Show(CDelegate* pDelegate, int mode, BOOL bForced );

	int   GetFontStyle();
	void  SetFontStyle(int style) ;

	int  GetFontSize();
	void SetFontSize(int size);

	const char* GetFontName();
	void SetFontName(const char* strName);

protected:
	void Beat();
//	RvUcutFont* GetUcutFont();

	CUtString m_strContent;
	int       m_nCursorPos;

	CUtString   m_strCaption ; 
	GRgb  m_textColor;
	int   m_nFontStyle;
	CUtString m_strFontName;
	int   m_nFontSize;

//	RvUcutFont* m_pUcutFont;

private:
	BOOL  m_bShowCursor;
};



#endif